<template>
  <div>
    <b-button-group>
      <locus-button-comment
        v-if="comment"
        size="sm"
        @commenting="$emit('commenting')"
      />
      <locus-button-favorite
        v-if="favorite"
        :locus="locus"
        @favorited="$emit('favorited')"
        @unfavorited="$emit('unfavorited')"
      />
      <locus-button-download
        v-if="download"
        :locus-id="locus.id"
        size="sm"
      />
      <locus-button-email
        v-if="email"
        :locus="locus"
        size="sm"
      />
      <!-- <permalink-button v-if="permalink" /> -->
      <!-- <terminal-button v-if="console" /> -->
    </b-button-group>
  </div>
</template>

<script lang="ts">
import Vue, { PropOptions } from 'vue';

import { Locus } from '@/common/types';
import LocusButtonComment from './LocusButtonComment.vue';
import LocusButtonDownload from './LocusButtonDownload.vue';
import LocusButtonEmail from './LocusButtonEmail.vue';
import LocusButtonFavorite from './LocusButtonFavorite.vue';

export default Vue.extend({
  components: {
    LocusButtonComment,
    LocusButtonDownload,
    LocusButtonEmail,
    LocusButtonFavorite,
  },

  props: {
    comment: {
      default: true,
      type: Boolean,
    },

    console: {
      default: true,
      type: Boolean,
    },

    download: {
      default: true,
      type: Boolean,
    },

    email: {
      default: true,
      type: Boolean,
    },

    favorite: {
      default: true,
      type: Boolean,
    },

    locus: {
      required: true,
      type: Object,
    } as PropOptions<Locus>,

    permalink: {
      default: true,
      type: Boolean,
    },
  },
});
</script>
